<html>
<body>

<H2 autotoc="yes"> Query: data query language </H2>
<p>
The query language is a powerful domain specific, declarative scripting
language that can:
<ul>
	<li> list concrete and abstract objects
	<li> iterate over them
	<li> evaluate complex logical expressions using them
	<li> selecting/unselecting/printing or drc-reporting objects depending on the result of the evaluation.
</ul>
<p>
This chapter describes the query language and its use. The chapter is
split up to multiple sub-chapters:
<ul>
	<li> <a href="http://www.repo.hu/projects/pcb-rnd/user/06_feature/query/lang.html"> the query language </a> (documented in pcb-rnd)
	<li> <a href="functions.html"> built-in functions </a>
	<li> <a href="concrete_fields.html"> fields of concrete model objects </a>
</ul>


<p>
A <a href="tutor_cli.html"> CLI/scripting tutorial </a> in pcb-rnd doc is
also available (note: objects and field names differ in pcb-rnd).

